개발자 API
DreamUtopia API
자신의 스크립트로 이미지와 비디오를 생성하거나, 그 레시피를 AI 코딩 에이전트에게 넘기세요. 하나의 REST API, 하나의 API 키, 웹 앱과 동일한 크레딧과 모델.
기본 URL
https://api.dreamutopia.net/v1인증
Bearer du_live_…액세스
유료 계정 전용
60초 빠른 시작
- 키를 생성하세요: 프로필 페이지 and export it. A key is shown once; store it somewhere safe.
shell
export DREAMUTOPIA_API_KEY="du_live_..."이미지를 생성하고 작업 id를 읽으세요:
shell
curl -sS -X POST https://api.dreamutopia.net/v1/images/generations \
-H "Authorization: Bearer $DREAMUTOPIA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"model":"lite","prompt":"a red fox in fresh snow","resolution":"2k","aspect_ratio":"1:1"}'response 202
{ "id": "3f2b…", "type": "image", "status": "queued", "created_at": "2026-10-24T12:00:00Z" }완료될 때까지 폴링한 다음 결과 URL을 사용하십시오:
shell
curl -sS https://api.dreamutopia.net/v1/generations/3f2b… \
-H "Authorization: Bearer $DREAMUTOPIA_API_KEY"응답
{ "id": "3f2b…", "type": "image", "status": "succeeded",
"result": { "url": "<result_url>" }, "error": null }무엇을 만들 수 있나요
AI 코딩 에이전트에서 사용하세요
각 하네스 페이지에는 하네스 채팅에 붙여넣을 수 있는 완전한 스킬이 담겨 있습니다. 동일한 레시피가 어디서나 작동하며, 붙여넣는 하네스만 달라집니다.